Package ru.bitel.bgbilling.modules.email.server.event

# Class AccountUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.email.server.event.AccountUpdateEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class AccountUpdateEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

Асинхронное событие - аккаунт изменен.
Событие генерируется после изменения аккаунта.
Унаследован от `QueueEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `AccountUpdateEvent()` |
  `` | `AccountUpdateEvent​(int userId, int moduleId, int contractId, java.lang.String mail)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getMail()` | Возвращает e-mail
  `int` | `getTypeId()` | Использовать проверку instanceof.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AccountUpdateEvent

    protected AccountUpdateEvent()

  - ### AccountUpdateEvent

    public AccountUpdateEvent​(int userId, int moduleId, int contractId, java.lang.String mail)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `moduleId` - - код модуля
      `contractId` - - код договора
      `mail` - - email

- ## Method Details

  - ### getTypeId

    public int getTypeId()
    Использовать проверку instanceof.
    Overrides:
      `getTypeId` in class `ru.bitel.bgbilling.kernel.event.common.Event`

  - ### getMail

    public java.lang.String getMail()
    Возвращает e-mail
    Returns:
      mail - строка e-mail